Package ru.bitel.bgbilling.kernel.bgsecure.common.event

# Class UserInfoModifiedEvent

java.lang.Object
ru.bitel.bgbilling.kernel.base.server.logger.BGLogger
ru.bitel.bgbilling.kernel.event.common.Event
ru.bitel.bgbilling.kernel.directory.api.common.DirectoryItemModifiedEvent<UserInfo>
ru.bitel.bgbilling.kernel.bgsecure.common.event.UserInfoModifiedEvent

All Implemented Interfaces:
  `Serializable`

public class UserInfoModifiedEvent extends ru.bitel.bgbilling.kernel.directory.api.common.DirectoryItemModifiedEvent<UserInfo>
Событие изменения справочника пользователя.

See Also:
  - Serialized Form

- ## Field Summary

  ### Fields inherited from class ru.bitel.bgbilling.kernel.directory.api.common.DirectoryItemModifiedEvent

  `newItem, oldItem`

  ### Fields inherited from class ru.bitel.bgbilling.kernel.event.common.Event

  `CONTRACT_GLOBAL, NO_MODULE, NO_PLUGIN`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `UserInfoModifiedEvent()`
  `UserInfoModifiedEvent(int moduleId, int userId, UserInfo oldItem, UserInfo newItem)`

- ## Method Summary

  ### Methods inherited from class ru.bitel.bgbilling.kernel.directory.api.common.DirectoryItemModifiedEvent

  `getNewItem, getOldItem`

  ### Methods inherited from class ru.bitel.bgbilling.kernel.event.common.Event

  `getContractId, getDestination, getGenerateTime, getMessageID, getModuleId, getPluginId, getSource, getSuperContractId, getTime, getTimestamp, getTypeId, getUserId, isLogFunctionProcess, prepareMessage, serializeAsObject, setLogFunctionProcess, setMessageID, setSource, toString, toString`

  ### Methods inherited from class ru.bitel.bgbilling.kernel.base.server.logger.BGLogger

  `error, error, error, getLogger, logError, logError, warn`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### UserInfoModifiedEvent

    public UserInfoModifiedEvent()

  - ### UserInfoModifiedEvent

    public UserInfoModifiedEvent(int moduleId, int userId, UserInfo oldItem, UserInfo newItem)